Package org.apache.tools.ant.taskdefs.optional.junitlauncher.confined

## Class Constants

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.junitlauncher.confined.Constants

    public final class Constants
    extends java.lang.Object

Constants used within the junitlauncher task

### Field Summary

Fields
`static java.lang.String` `ARG_LAUNCH_DEFINITION`
`static java.lang.String` `ARG_PROPERTIES`
`static int` `FORK_EXIT_CODE_EXCEPTION`
`static int` `FORK_EXIT_CODE_SUCCESS`
`static int` `FORK_EXIT_CODE_TESTS_FAILED`
`static int` `FORK_EXIT_CODE_TIMED_OUT`
`static java.lang.String` `LD_XML_ATTR_CLASS_NAME`
`static java.lang.String` `LD_XML_ATTR_EXCLUDE_ENGINES`
`static java.lang.String` `LD_XML_ATTR_EXCLUDE_TAGS`
`static java.lang.String` `LD_XML_ATTR_HALT_ON_FAILURE`
`static java.lang.String` `LD_XML_ATTR_INCLUDE_ENGINES`
`static java.lang.String` `LD_XML_ATTR_INCLUDE_TAGS`
`static java.lang.String` `LD_XML_ATTR_LISTENER_RESULT_FILE`
`static java.lang.String` `LD_XML_ATTR_METHODS`
`static java.lang.String` `LD_XML_ATTR_OUTPUT_DIRECTORY`
`static java.lang.String` `LD_XML_ATTR_PRINT_SUMMARY`
`static java.lang.String` `LD_XML_ATTR_SEND_SYS_ERR`
`static java.lang.String` `LD_XML_ATTR_SEND_SYS_OUT`
`static java.lang.String` `LD_XML_ELM_LAUNCH_DEF`
`static java.lang.String` `LD_XML_ELM_LISTENER`
`static java.lang.String` `LD_XML_ELM_TEST`
`static java.lang.String` `LD_XML_ELM_TEST_CLASSES`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FORK_EXIT_CODE_SUCCESS

    public static final int FORK_EXIT_CODE_SUCCESS

See Also:
  Constant Field Values

#### FORK_EXIT_CODE_EXCEPTION

    public static final int FORK_EXIT_CODE_EXCEPTION

See Also:
  Constant Field Values

#### FORK_EXIT_CODE_TESTS_FAILED

    public static final int FORK_EXIT_CODE_TESTS_FAILED

See Also:
  Constant Field Values

#### FORK_EXIT_CODE_TIMED_OUT

    public static final int FORK_EXIT_CODE_TIMED_OUT

See Also:
  Constant Field Values

#### ARG_PROPERTIES

    public static final java.lang.String ARG_PROPERTIES

See Also:
  Constant Field Values

#### ARG_LAUNCH_DEFINITION

    public static final java.lang.String ARG_LAUNCH_DEFINITION

See Also:
  Constant Field Values

#### LD_XML_ELM_LAUNCH_DEF

    public static final java.lang.String LD_XML_ELM_LAUNCH_DEF

See Also:
  Constant Field Values

#### LD_XML_ELM_TEST

    public static final java.lang.String LD_XML_ELM_TEST

See Also:
  Constant Field Values

#### LD_XML_ELM_TEST_CLASSES

    public static final java.lang.String LD_XML_ELM_TEST_CLASSES

See Also:
  Constant Field Values

#### LD_XML_ATTR_HALT_ON_FAILURE

    public static final java.lang.String LD_XML_ATTR_HALT_ON_FAILURE

See Also:
  Constant Field Values

#### LD_XML_ATTR_INCLUDE_TAGS

    public static final java.lang.String LD_XML_ATTR_INCLUDE_TAGS

See Also:
  Constant Field Values

#### LD_XML_ATTR_EXCLUDE_TAGS

    public static final java.lang.String LD_XML_ATTR_EXCLUDE_TAGS

See Also:
  Constant Field Values

#### LD_XML_ATTR_OUTPUT_DIRECTORY

    public static final java.lang.String LD_XML_ATTR_OUTPUT_DIRECTORY

See Also:
  Constant Field Values

#### LD_XML_ATTR_INCLUDE_ENGINES

    public static final java.lang.String LD_XML_ATTR_INCLUDE_ENGINES

See Also:
  Constant Field Values

#### LD_XML_ATTR_EXCLUDE_ENGINES

    public static final java.lang.String LD_XML_ATTR_EXCLUDE_ENGINES

See Also:
  Constant Field Values

#### LD_XML_ATTR_CLASS_NAME

    public static final java.lang.String LD_XML_ATTR_CLASS_NAME

See Also:
  Constant Field Values

#### LD_XML_ATTR_METHODS

    public static final java.lang.String LD_XML_ATTR_METHODS

See Also:
  Constant Field Values

#### LD_XML_ATTR_PRINT_SUMMARY

    public static final java.lang.String LD_XML_ATTR_PRINT_SUMMARY

See Also:
  Constant Field Values

#### LD_XML_ELM_LISTENER

    public static final java.lang.String LD_XML_ELM_LISTENER

See Also:
  Constant Field Values

#### LD_XML_ATTR_SEND_SYS_ERR

    public static final java.lang.String LD_XML_ATTR_SEND_SYS_ERR

See Also:
  Constant Field Values

#### LD_XML_ATTR_SEND_SYS_OUT

    public static final java.lang.String LD_XML_ATTR_SEND_SYS_OUT

See Also:
  Constant Field Values

#### LD_XML_ATTR_LISTENER_RESULT_FILE

    public static final java.lang.String LD_XML_ATTR_LISTENER_RESULT_FILE

See Also:
  Constant Field Values